What device and system requirements are there?

The TM Community app is available on both mobile platforms: Android and iOS (iPhone).

For iOS (iPhone) users

Australia | Canada | Ireland | New Zealand | South Africa | United Kingdom | United States

It is compatible with iPhone, iPod touch, and iPad. However, it's not fully optimized for iPads at this time. iOS version 10.0 or later is required. This ranges from an iPhone 5 to the latest iPhones. A newer iPhone will of course result in a better experience.

All other countries

It is compatible with iPhone, iPod touch, and iPad. However, it's not fully optimized for iPads at this time. iOS version 13.0 or later is required. This ranges from an iPhone 6s to the latest iPhones. A different iOS version is required because the app is currently distributed via Apple's TestFlight app. A newer iPhone will of course result in a better experience.

For Android users

It is compatible with devices running Android version 7.0 or later. This includes all Android devices released in the last 6 years. It is also compatible with Android tablets but not fully optimized at this time. A newer Android device will of course result in a better experience. 

Still need help? Contact Us Contact Us